Subject: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents

From: Philipp Stephani <[email-masked]>
Date: Sun, 07 May 2017 18:45:07 +0000

Eli Zaretskii <[email-masked]> schrieb am So., 7. Mai 2017 um 20:38 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Sun, 07 May 2017 18:21:35 +0000
> > Cc: [email-masked]
> >
> > I guess we can just use the library as-is? It's MIT-licensed.
>
> What do you mean by "use"?  Treat it as an optional library, like we
> do with image support and GnuTLS?  I thought you wanted this feature
> to be present in every Emacs, not only Emacs linked against that
> library.
>

I just want to link it statically by adding the required source files to
the source tree, like we do for e.g. oldXmenu.

>
> >  P.S. Doesn't GNU Diff have code to do this?
> >
> > Sure, but it's not a library.
>
> Why do you need a library, if you want the code to become part of
> Emacs?
>

I want something that can be used right now without reimplementing the diff
algorithm from scratch.

>
> The advantage of Diff is that I think the situation with copyright
> assignment will be much easier there ;-)
>

If this requires copyright assignment, then I'll stop immediately and
reimplement this as a dynamic module outside of Emacs. Asking for copyright
assignment is way too much work for this.